"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColors = exports._variants = void 0;
const utils_1 = require("./utils");
exports._variants = {
    50: utils_1.withTint(0.95),
    100: utils_1.withTint(0.9),
    200: utils_1.withTint(0.75),
    300: utils_1.withTint(0.6),
    400: utils_1.withTint(0.3),
    500: c => c,
    600: utils_1.withShade(0.9),
    700: utils_1.withShade(0.6),
    800: utils_1.withShade(0.45),
    900: utils_1.withShade(0.3)
};
function getColors(color, variants = exports._variants) {
    const colors = {};
    const components = utils_1.parseColor(color);
    for (const [name, fn] of Object.entries(variants)) {
        colors[name] = utils_1.hexValue(fn(components));
    }
    return colors;
}
exports.getColors = getColors;
